#spring.cloud.nacos.config.server-addr=121.43.111.127:8848
#spring.cloud.nacos.config.namespace=d7b1bacd-5b9f-4d1e-9a20-e6f923a744ba
#
#spring.cloud.nacos.discovery.server-addr=121.43.111.127:8848
#spring.cloud.nacos.discovery.namespace=d7b1bacd-5b9f-4d1e-9a20-e6f923a744ba

mybatis-plus.configuration.log-impl: org.apache.ibatis.logging.stdout.StdOutImpl

#支付回调地址
wechat.payment.notifyUrl=
#退款回调地址
wechat.payment.refundNotifyUrl=

#常规设置
server.port =11003
spring.servlet.multipart.max-file-size=40MB
spring.servlet.multipart.max-request-size=40MB
#是否直接web端打印错误信息
spring.devtools.add-properties=true
#echache缓存
spring.cache.type=ehcache
spring.cache.ehcache.config=classpath:ehcache.xml

#定时器开关
schedule.enable=false

##SQL执行分析，该插件有性能损耗，不建议生产环境使用
spring.datasource.druid.db-type=mysql
spring.datasource.type=com.alibaba.druid.pool.DruidDataSource
spring.datasource.driver-class-name=com.mysql.cj.jdbc.Driver
spring.datasource.url=jdbc:mysql://121.43.111.127:3306/new_mall?verifyServerCertificate=false&useSSL=false&requireSSL=false&useUnicode=true&characterEncoding=UTF-8&characterSetResults=utf8&serverTimezone=Asia/Shanghai
spring.datasource.username=root
spring.datasource.password=xch!eCdvc124@
spring.datasource.druid.connection-init-sqls=set names utf8mb4
spring.datasource.druid.initial-size=5
spring.datasource.druid.minIdle=5
spring.datasource.druid.maxActive=20
### 配置获取连接等待超时的时间，单位是毫秒
spring.datasource.druid.maxWait=60000
### 配置间隔多久才进行一次检测，检测需要关闭的空闲连接，单位是毫秒
spring.datasource.druid.timeBetweenEvictionRunsMillis=60000
### 配置一个连接在池中最小生存的时间，单位是毫秒
spring.datasource.druid.minEvictableIdleTimeMillis=300000
spring.datasource.druid.validationQuery=SELECT 1 FROM DUAL
spring.datasource.druid.testWhileIdle=true
spring.datasource.druid.testOnBorrow=false
spring.datasource.druid.testOnReturn=false
### 打开PSCache，并且指定每个连接上PSCache的大小
spring.datasource.druid.poolPreparedStatements=true
spring.datasource.druid.maxPoolPreparedStatementPerConnectionSize=20
### 配置监控统计拦截的filters，去掉后监控界面sql无法统计，'wall'用于防火墙
spring.datasource.druid.filters=stat,wall

### 通过connectProperties属性来打开mergeSql功能；慢SQL记录
spring.datasource.druid.connectionProperties=druid.stat.mergeSql=true;druid.stat.slowSqlMillis=5000
# 合并多个DruidDataSource的监控数据
#spring.datasource.useGlobalDataSourceStat=true

### log4j配置
logging.config=classpath:logback.xml
#undertow_web容器配置
server.undertow.accesslog.dir=${user.dir}/logs/access
server.undertow.accesslog.enabled=true
server.undertow.accesslog.pattern=%h %l %u %t "%r" %s %b %D
server.undertow.accesslog.prefix=access_log.
server.undertow.accesslog.rotate=true
server.undertow.accesslog.suffix=log
server.undertow.max-http-post-size=10240000
#swagger-login-account
#spring.security.user.name=admin
#spring.security.user.password=gree2021
#jackson组件时区
spring.jackson.date-format=yyyy-MM-dd HH:mm:ss
spring.jackson.time-zone=GMT+8
spring.jackson.timeZone=GMT+08:00
spring.jackson.serialization.write_dates_as_timestamps=false
spring.mvc.date-format=yyyy-MM-dd HH:mm:ss
web.upload-path=${user.dir}/static/
web.imageService=https://xxxxx


#####################redis 单机版 start################
spring.redis.port=6388
spring.redis.host=121.43.111.127
#redis密码
spring.redis.password=private123@^
spring.redis.lettuce.pool.max-active=300
spring.redis.lettuce.pool.max-wait=1000ms
spring.redis.lettuce.pool.max-idle=100
spring.redis.lettuce.pool.min-idle=0
spring.redis.timeout=100000ms

#阿里云key
ali.accessKeyId=LTAI4G3XTLh8G8DiTpXHpWgt
ali.accessKeySecret=LYe8uf7Lg9WxJ1xejk45qnPFqxXLzN


#corp.id=wwbae17f626bb79a8f
corp.id=ww62ea04d5c904dc4a
#corp.members.secret=ZPYLKAKIjWmPLiad1J15P8OiR7vmJX8mOBxQehFfjQQ
corp.members.secret=NoaUlUOIE5ndQIMF1xppkvf5mNnhxm4E-1ktb4ztluc

corp.agent.id=1000006
corp.mini.secret=sni3_54CCweAeEgJ4WF6FPnYyrw6tv2Ll8RyJf6Xyck

#延迟消息线程数量
thread.size = 1


#微信
wechat.appid=wxaddd13c267e81e70
wechat.mch.id=1602811075
wechat.mch.key=ZfiretopAdmin20210309GreeAdminSe
wechat.sub.appid=wxd935838591c00e16
wechat.sub.secret=a19f2ec72d9e1f0b4f86fac729f6ba81
wechat.keyPath=classpath:/static/apiclient_cert.p12
#微信发货模板
wechat.template=UIqi6nVSi9WLeEFCdtIQKpA_3Ou_DK97JY316zqBj6s

#物流回调
express.callback = http://121.43.111.127:10003/common/express/callback

#发票API
tax.token.appid=zfire
tax.token.appSecret=gsdfbsdtsbfffcxwrtfsdfvvxaggdsa
tax.token.url=http://121.43.111.127:11111/com/token/get
tax.invoice.url=http://121.43.111.127:11111/invoice/tax
tax.invoice.title.url=http://121.43.111.127:11111/invoice/title

#工单API
gongdan.url=https://admin.zfire.top
gongdan.client_name=gs-java
gongdan.key=6aw4gwGqwQRR4-12
gongdan.password=au9uga9wgJJwj23544++4444
gongdan.token.get.url=${gongdan.url}/services/token/getToken
gongdan.install.create.url=${gongdan.url}/services/order/install/mallCreateInstall
gongdan.repair.create.url=${gongdan.url}/services/order/repair/mallCreateRepair
gongdan.install.detail.url=${gongdan.url}/services/order/install/getDetailList
gongdan.repair.detail.url=${gongdan.url}/services/order/repair/getDetailList
gongdan.marketing.url=${gongdan.url}/services/marketing_activity/getSelectList
gongdan.smalltype.url=${gongdan.url}/services/product/product_type/getProductSmallType


#对接辅材
fucai.url=http://116.62.158.92:11001/java_fucai
fucai.wuliao.url=${fucai.url}/k3/basics/material/info

#前端首页
front.top.url=

#云闪付
ums.url=https://api-mop.chinaums.com
yue.huan.xin.url=https://mgw-test.gnete.com/gdhlgo2o
yue.huan.xin.sftp=180.76.208.207
yue.huan.xin.sftp.port=40980

